# Problemas de Desenvolvimento
# 2.19

# dados
# bicarbonado anidro
MMs = 84.007       # g/mol
m1 = 10.0          # kg 
custo_anid = 80.00 # R$

# bicarbonato deca-hidratado

MMh = 264.159     # g/mol 
custo_hid = 72.00 # R$
m2 = 10.0         # kg 

# calculando a fração de bicarbonato presente na versão hidratada
f = MMs/MMh

# a fração de água é dada por
fa = 1.0 - f

# a
# considerando que o produto hidratado foi comprado como se fosse puro,
# essa é aquantidade de água presente na versão hidratada
magua = fa*m2
custo_kg_agua = (custo_hid/m2)*magua
print('a) A massa de água comprada foi de', magua,'kg.',
      '\nO custo desta massa de água foi de R$', custo_kg_agua)
# a
# considerando que o produto tivesse sido vendido na forma anidra
# teremos apenas a massa de bicarbonado (sem a água)

mbic_sem_agua = f*m2
custo_kg_sem_agua = (custo_anid/m1)*mbic_sem_agua

print('\nb) O real custo do composto desidratado deve ser de R$', 
      mbic_sem_agua,'.')

