# Problemas de Desenvolvmento
# 7.1

# estimativa inicial de x
x0 = 0.5
# repita até que a condição seja alcançada
while (abs((2*x0**2)-1) > 1e-7):
    x1 = x0 - ((2*x0**2)-1)/(4*x0)
    x0 = x1
        
# imprimindo o resultado
print('O valor da raiz é %.7f' %x1)

# prova
msg =  '\nProva:\nQuando aplicamos a raiz'
msg2 = 'na função f(x) = 2x^2-1, o resultado é'
print(msg, x0, msg2, (2*x0**2)-1)

'''
Observe que o valor é muito próximo de zero (e-12). Caso você queira
diminuir ainda mais esse valor, diminua ainda mais o valor da tolerância
no teste realizado pelo while. No momento o valor é 1e-7. Altere este 
valor para 1e-12 para ver o resultado.

'''