# Problemas de Revisão
# 10.1
# convertendo temperatura

def teste_de_unidade(unidade):
    unidades = ['C', 'F', 'K', 'RA', 'RE']
    compativel = False
    for esta_unidade in unidades:
        if esta_unidade == unidade:
            compativel = True
            break
    return compativel

def convert_de_para(temperatura, unidade_entrada, unidade_saida):
    # caixa alta e sem espaços antes e depois da letra digitada
    unidade_entrada = unidade_entrada.strip().upper()
    unidade_saida = unidade_saida.strip().upper()
    if teste_de_unidade(unidade_entrada) and teste_de_unidade(unidade_saida):
        
        # de °C para outras temperatuas            
        if unidade_entrada == 'C':
          if unidade_saida == 'C':
              convertida = temperatura*1
          if unidade_saida == 'F':
              convertida = temperatura*1.8 + 32.0
          elif unidade_saida == 'K':
              convertida = temperatura + 273.15
          elif unidade_saida == 'RA':
              convertida = (temperatura + 273.15)*1.8
          elif unidade_saida == 'RE':
              convertida = temperatura*0.8
              
        # de °F para outras temperatuas              
        elif unidade_entrada == 'F':
          if unidade_saida == 'C':
              convertida = (temperatura - 32)/1.8
          elif unidade_saida == 'F':
              convertida = temperatura*1
          elif unidade_saida == 'K':
              convertida = (temperatura + 459.67)/1.8
          elif unidade_saida == 'RA':
              convertida = (temperatura + 459.67)
          elif unidade_saida == 'RE':
              convertida=(temperatura - 32)*(4/9)
              
        # de K para outras temperatuas              
        elif unidade_entrada == 'K':
          if unidade_saida == 'C':
              convertida = temperatura - 273.15
          elif unidade_saida == 'F':
              convertida = temperatura*1.8 - 459.67
          elif unidade_saida == 'K':
              convertida = temperatura*1
          elif unidade_saida == 'RA':
              convertida = temperatura*1.8
          elif unidade_saida == 'RE':
              convertida = (temperatura -273.15)*0.8
              
        # de °RA para outras temperatuas              
        elif unidade_entrada == 'RA':
          if unidade_saida == 'C':
              convertida= (temperatura - 491.67)/1.8
          elif unidade_saida == 'F':
              convertida= temperatura - 459.67
          elif unidade_saida == 'K':
              convertida= temperatura/1.8
          elif unidade_saida == 'RA':
              convertida= temperatura*1
          elif unidade_saida == 'RE':
              convertida = (temperatura - 491.67)*(4/9)
              
        # de °RE para outras temperatuas              
        elif unidade_entrada == 'RE':
          if unidade_saida == 'C':
              convertida = temperatura/0.8
          elif unidade_saida == 'F':
              convertida = temperatura*(9/4) + 32
          elif unidade_saida == 'K':
              convertida=temperatura*1.25 + 273.15
          elif unidade_saida == 'RA':
              convertida= temperatura*(9/4) + 491.67
          elif unidade_saida == 'RE':
              convertida = temperatura*1
        
        # imprimindo os resultados
        if unidade_saida == 'K':
            print('A temperatura convertida é ', convertida, unidade_saida)
        else:
            print('A temperatura convertida é ', convertida, '°', unidade_saida)            
    else:
       print('Unidade não encontrada.')            

# exemplo de aplicação
T = float(input('Entre com o valor da temperatura: '))
msg = 'Entre com:\n C para Celsius\n F para Fahrenheit\n'
msg = msg + ' K para Kelvin\n RA para Rankine\n RE para Réaumur'
print(msg)
Uin = input('Informe a unidade de entrada: ')
Uout = input('Informe a unidade de saída: ')

# chamando a função de conversão      
convert_de_para(T, Uin, Uout)

# edite esta função de forma que ela retorne os resultados calculados
# no lugar de um print. Esse resultado poderá ser usado em outra função
# para um cálculo qualquer, logo este "retorno" tem que ser um número do
# tipo float. Você consegue?      