# Problemas de Desenvolvimento
# 10.6 - página 269
# matriz de aleatórios

# importando bibliotecas e funções
from random import randint

def minha_matriz(linhas, colunas, definir_intervalo = False, a=1, b=10):
    '''
    retorna uma matriz de números inteiros aleatórios
    o usuário entra com o número, inteiro, de colunas
    também entra com o número de linhas
    e, se quiser, define a faixa de valores inteiros no qual
    quer que haja o sorteio. O padrão serão valores entre 1 e 10, 
    mas o usuário pode aplicar True na variável opcional 
    definir_intervalo e escolher os novos valores mínimo e máximo
    para a faixa de trabalho

    '''
    # matriz vazia
    matriz = []
    # caso o usuário entre com os valores invertidos
    if definir_intervalo:
        if a > b:
            c=b; b=a; a=c
    
    for i in range(linhas):
        # lista vazia
        lista = []    
        for j in range(colunas):
            # salvando uma lista de valores aleatórios
            lista.append(randint(a,b))
        # salvando cada lista na matriz    
        matriz.append(lista)   
    return matriz


# Exemplo de aplicação 01
linhas = 2
colunas = 3
resultado = minha_matriz(linhas, colunas)
print('\nVeja sua matriz de números inteiros e aleatórios:\n', resultado)

# Exemplo de aplicação 02
linhas = 5
colunas = 9
resultado = minha_matriz(linhas, colunas, True, 10, 20)
print('\nVeja sua matriz de números inteiros e aleatórios:\n', resultado)

