# Problemas de Desenvolvimento
# 10.10 - página 269
# função lambda

# multiplicação de matrizes (solução simplificada)

# declaração das funções
def multi_matrizes(A, B):

    C = [[0, 0], [0, 0]]
    
    for i in range(len(A[0])):
        for j in range(len(B[1])):
            d = 0   
            for k in range(len(A[1])):
                d = d + A[i][k]*B[k][j]
            C[i][j]= d
    return C


# Exemplo de aplicação 
A = [[2, 2], [2, 2]]
B = [[1, 1], [1, 1]]
    
# número de termos
C =  multi_matrizes(A, B)

# imprimindo os resultados
print('O resultado da multiplicação matricial AxB é:\n', C)



# ************-------------------------------------**********************

# multiplicação de matrizes (um pouco mais refinada)
from numpy import empty as e, shape as s
from numpy import matrix as m

def mult_matriz(A, B):
    #o número de colunas de A deve ser igual ao número de linhas de B
    ma, na = s(A)
    mb, nb = s(B)
    if na == mb:
        D = e([ma,nb])
        for i in range(ma):
            for j in range(nb):
                c = 0
                for k in range(na):
                    #n° de colunas de A = n° de linhas de B
                    c = c + A[i,k]*B[k,j] 
                D[i,j] = c
        return D
    else:
        msg = 'O número de colunas da matriz A \n'
        msg += 'é diferente do número de linhas da matriz B!'
        print(msg)
        return 0
    


A = m([[2, 3],[4, 5]])
B = m([[1, 1, 1], [1, 1, 1]])
D = mult_matriz(A,B)
print('ESte é o resultado da multiplicação da matriz A por B: \n')
print(D)