# Problemas de Desenvolvimento
# 10.19 - página 271
# presente valor

# importando bilbiotecas
import matplotlib.pyplot as p
from numpy import linspace as intervalo

# declaração das funções
def presente_valor(A, i, n):
    P = A*(((1+i)**n) - 1)/(i*(1 + i)**n)
    print(P)
    return P


def plotagem(x,y,rx,ry, legenda, titulo = 'Meu gráfico'):
    p.clf()                                         # limpando figuras anteriores
    p.plot(x, y, 'b:')                              # plotando o gráfico
    p.xlabel(rx)                                    # legenda do eixo X
    p.ylabel(ry)                                    # legenda do eixo Y
    p.title(titulo)                                 # título
    p.legend(legenda)                               # legenda do gráfico
    p.grid(color='k', linestyle='-', linewidth=0.1) # linhas de grade
    p.show()                                        # mostrar a figura



A = 1500
n = intervalo(1,15,15) # o cálculo da anuidade deve iniciar o ano em 1
i = 0.15/100
rx = 'número de anos (n)'
ry = 'Valor presente (P)'
legenda = ['Valor presente']
plotagem(n,presente_valor(A, i, n),rx,ry, legenda)

