# Problemas de Revisão
# 11.14 - página 331
# carregando dados de um arquivo xlsx

#importando bibliotecas
import pandas as pd
import matplotlib.pyplot as p


'''
# em um outro arquivo você pode carregar os dados da planilha conforme
# linhas de código a seguir. Lembre-se de que o arquivo foi salvo
# na mesma pasta desta resposta. Caso você carregue os dados por outro 
# arquivo, terá que aplicar o caminho da pasta na qual o arquivo se encontra.

lembre-se que são necessárias as bibliotecas panda e matplotlib
'''

# carregando os dados
dados_arquivo = pd.read_csv('frac_A_B.csv')
# imprimindo dados para saber os nomes dos cabeçalhos
print(dados_arquivo)

# plotando os dados
p.clf()

p.plot(dados_arquivo['Unnamed: 0'], dados_arquivo['FracA'], '--ok',
       dados_arquivo['Unnamed: 0'], dados_arquivo['FracB'], '-<b')

p.xlabel('Tempo(dias)') 
p.ylabel('y(m/m)')
p.xticks(rotation=45) # fazendo os horários aparecerem com inclinação de 45°
p.tight_layout()
p.show()

