# Problemas de Desenvolvimento
# 11.21 - página 333
# densidade de uma mistura

# importando biblioteca
from numpy import array as a
# declaração da função

# a
def frac_mass(vazao_molar, Massa_molar):
    Qm = vazao_molar*Massa_molar
    Qt = sum(Qm)
    Xi = Qm/Qt
    return Xi


'''
1 - Etano      - 30.07   kg/kmol
2 - Propano    - 44.097  kg/kmol
3 - n-Butano   - 58.12   kg/kmol
4 - n-Pentano  - 72.15   kg/kmol
5 - n-Hexano   - 86.18   kg/kmol

'''
Q = a([1.7, 10.5, 15.2, 22.9, 12.8])         # kmol/h
MM = a([30.07, 44.097, 58.12, 72.15, 86.18]) # kg/kmol
nomes = ['Etano','Propano','n-Butano', 'n-Pentano','n-Hexano']

# b
# exemplo de aplicação


fracs = frac_mass(Q, MM)
print(f'A vazão molar total é {sum(Q):.2f} kmol/h e as frações mássicas são:')
for i in range(len(nomes)):
    print(nomes[i],format(fracs[i],'.3f'))

# perceba que a soma das frações deve resultar em 1.0
# faça o teste sum(fracs)