# Problemas de Desenvolvimento
# 11.5 - página 330
# salvando e carregando valores

#importando bibliotecas
import pandas as pd
from numpy import random
import matplotlib.pyplot as p
from numpy import linspace as intervalo


# declaração das variáveis
x = intervalo(0,50,51)
y = random.random([len(x)])

# salvando os dados em um arquivo xlsx
dados = pd.DataFrame({'x':x, 'y':y})
dados.to_excel('exercicio_11.5.xlsx')

'''
# em um outro arquivo você pode carregar os dados da planilha conforme
# linhas de código a seguir. Lembre-se de que o arquivo execel foi salvo
# na mesma pasta desta resposta. Caso você carregue os dados por outro 
# arquivo, terá que aplicar o caminho da pasta na qual o arquivo se encontra.

Outro detalhe, sempre que vocÊ executar  este código, os dados gerados 
podem ser diferentes uma vez que são gerados aleatoriamente a cada execução
lembre-se que são necessárias as bibliotecas panda e matplotlib
'''

# carregando os dados para plotagem
dados_arquivo = pd.read_excel('exercicio_11.5.xlsx')

# plotando os dados
dados_arquivo.plot(x = 'x', y = 'y', ylabel = 'f(x)', xlabel = 't(h)')
p.show()



