# Problemas de Revisão
# 12.1 - página 353
# estruturas de uso do try

'''
a estrutura try é usada para que, quando uma parte (ou todo) o código seja
executado, haja um caminho de escape, sendo possível o tratamento de um
erro esperado, ou inesperado. Traduzindo, você peque que o python "tente" 
executar aquelas alinhas de código e, caso ele encontre algum problema, siga
para um nicho chamado "except" no qual ele entará tratár o erro (o programa-
dor é que, decide isso) e continua a execução do código ou apenas imprime
uma mensagem na tela informando o ocorrido e finaliza a execução do código
sem retornar a resposta esperada pelo usuário.

Uma das estruturas se encontra a seguir:
    try:
        linhas de código
    except:
        tente resolver com essas outras linhas de código


A estrutura try também é flexível ao ponto de poder utilizar uma estrutura if
dentro dela para mais de uma alternativa de correção ou tomada de decisão quan-
do a exceção ocorrer. Ela se apresenta da seguinte forma

    try:
        linhas de código
    except:
        tratamento das linhas
    else:
        continue a executar o programa caso não haja erro
    finally:
        imprime alguma informação independente de haver erro ou não

'''

