# Problemas de Revisão
# 12.4 - página 353
# tipos de erro

'''
Os erros são divididos em erro de sintaxe e exceções

Quando lidados com erros de sintaxe, o Python muitas vezes, mostra na própria
IDE do Spider algum sinal visual indicando que a dada estrutura está incorreta
Por exemplo: 
    -esquecer os ":" em algum dos laços que já aprendemos;
    -usar espaços entre as letras que compõem o nome de uma variável;
    -tentativa de edição de uma tupla dentro de um cóodigo;
    -nomes diferentes mas que deveriam ser iguais;
    -esquecer algum sinal matemático, como por exemplo o de multiplicação
        em uma equação.


No caso dos erros de exceções, temos comportamentos diversos durante a execução
do código que podem ser previstos pelo python quando utilizamos a estrutura try.
Erros de tipos de variáveis, ou de uma divisão por zero são erros comuns que o
Python já possui tratamento adequado quando aplicado o comando try. Esses erros
não costumam aparecer na ide do Python como os erros de sintaxe, mas sim no 
console durante a tentativa de execução do código... eles ficam em silêncio
e só aparecem quando invocados. Pode até ser  que uma divisão por zero não
ocorra para o intervalo de dados que você escolheu, mas se um dia alguma alterar
esse intervalo, o erro vai aparecer a não ser que você tenha previsto essa 
possibilidade a aplicado o comando try.



'''

