# Problemas de Desenvolvimento
# 4.13

'''
Veja que K é um somatório com a seguinte forma?

K = soma( 1 + x + x^2/4 + x^3/6... + x^n/2n )

é, lamento, houve um erro na equação. No lugar do 3 do terceiro termo
da equaçã Ex 4.7, temos 4. Será corrigida nas próximas edições

o resultado de K depende do número de termos que será somado.

n também deve ter valor inicial 1 devido à multiplicação 2n do 
denominador da equação do somatório K.

Quando você aprender laços condicionais, volte aqui e otimize 
essa resposta!
'''
# usuário
n_termos = int(input('Entre com o número de termos n>=3: '))
x = float(input('Entre com o valor de x: '))

# somatório
K = 1.0 + x
for n in range(2, n_termos):  
    K = K + (x**n)/(2*n)
    
# imprimindo os resultados
print('Para', n_termos, 'termo(s) temos K=', K)

