# Problemas de Desenvolvimento
# 4.13

'''
Veja que Z é um somatório com a seguinte forma

Z = soma( 1 + x + x^2/4 + x^3/9... + x^n/n^2 )

o resultado de Z depende do número de termos que será somado.

n também deve ter valor inicial 1 devido à multiplicação 2n do 
denominador da equação do somatório Z.

Quando você aprender laços condicionais, volte aqui e otimize 
essa resposta!

'''
# usuário
n_termos = int(input('Entre com o número de termos n>=3: '))
x = float(input('Entre com o valor de x: '))

# somatório
Z = 1.0 + x
for n in range(2, n_termos):  
    Z = Z + (x**n)/(n*n)
    
# imprimindo os resultados
print('Para', n_termos, 'termo(s) temos Z=', Z)

