# Problemas de Desenvolvimento
# 5.5

# importando bibliotecas
import matplotlib.pyplot as p

# dados
t = [0.0, 1.0, 2.0, 3.0, 4.0, 5.0, 6.0]
Q = [0.5, 1.2, 2.8, 4.2, 6.9, 7.5, 8.5]

# a
p.clf()    # limpa qualquer figura anteriormente plotada
p.plot(t, Q, '-oc')
p.xlabel('t(h)')
p.ylabel('Q(kJ/h)')
p.legend('Q(kJ/h)')
p.title('Tempo (h) versus Carga Térmica')
p.grid(visible=True,linewidth=0.1, linestyle='-', color='k')

p.tight_layout() # faz o ajuste do layout da Figura automaticamente
p.show()

