# Problemas de Revisão
# 10.4
# convertendo pressão

def teste_de_unidade(unidade):
    unidades = ['ATM', 'BAR', 'PA', 'PSI', 'KG']

    compativel = False
    for esta_unidade in unidades:
        if esta_unidade == unidade:
            compativel = True
            break
    return compativel

def convert_de_para(pressao, unidade_entrada, unidade_saida):
    # caixa alta e sem espaços antes e depois da letra digitada
    unidade_entrada = unidade_entrada.strip().upper()
    unidade_saida = unidade_saida.strip().upper()
    if teste_de_unidade(unidade_entrada) and teste_de_unidade(unidade_saida):
        
        # de atm para outras pressões            
        if unidade_entrada == 'ATM':
          if unidade_saida == 'ATM':
              convertida = pressao*1
          if unidade_saida == 'BAR':
              convertida = pressao*1.013
          elif unidade_saida == 'PA':
              convertida = pressao*101325
          elif unidade_saida == 'PSI':
              convertida = pressao*14.69
          elif unidade_saida == 'KG':
              convertida = pressao*1.033
              
        # de bar para outras pressões              
        elif unidade_entrada == 'BAR':
          if unidade_saida == 'ATM':
              convertida = pressao*0.987
          elif unidade_saida == 'BAR':
              convertida = pressao*1
          elif unidade_saida == 'PA':
              convertida = pressao*1e5
          elif unidade_saida == 'PSI':
              convertida = pressao*14.5
          elif unidade_saida == 'KG':
              convertida = pressao*1.02
              
        # de Pa para outras pressões              
        elif unidade_entrada == 'PA':
          if unidade_saida == 'ATM':
              convertida = pressao*9.8e-6
          elif unidade_saida == 'BAR':
              convertida = pressao*1e-5
          elif unidade_saida == 'PA':
              convertida = pressao*1
          elif unidade_saida == 'PSI':
              convertida = pressao*1.45e-4
          elif unidade_saida == 'KG':
              convertida = pressao*1.02e-5
              
        # de psi para outras pressões              
        elif unidade_entrada == 'PSI':
          if unidade_saida == 'ATM':
              convertida = pressao*0.068
          elif unidade_saida == 'BAR':
              convertida = pressao*0.069
          elif unidade_saida == 'PA':
              convertida = pressao*6896
          elif unidade_saida == 'PSI':
              convertida = pressao*1
          elif unidade_saida == 'KG':
              convertida = pressao*0.07
              
        # de Kgf/cm2 para outras pressões              
        elif unidade_entrada == 'KG':
          if unidade_saida == 'ATM':
              convertida = pressao*0.968
          elif unidade_saida == 'BAR':
              convertida = pressao*0.981
          elif unidade_saida == 'PA':
              convertida = pressao*98100
          elif unidade_saida == 'PSI':
              convertida = pressao*14.23
          elif unidade_saida == 'KG':
              convertida = pressao*1
        
        # imprimindo os resultados
        print('A pressao convertida é ', convertida, unidade_saida)           
    else:
       print('Unidade não encontrada.')            

# exemplo de aplicação
P = float(input('Entre com o valor da pressao: '))
msg = 'Entre com:\n atm\n bar\n Pa\n psi ou \nKg para Kgf/cm2'

print(msg)
Uin = input('Informe a unidade de entrada: ')
Uout = input('Informe a unidade de saída: ')

# chamando a função de conversão      
convert_de_para(P, Uin, Uout)

# edite esta função de forma que ela retorne os resultados calculados
# no lugar de um print. Esse resultado poderá ser usado em outra função
# para um cálculo qualquer, logo este "retorno" tem que ser um número do
# tipo float. Você consegue?      