# Problemas de Desenvolvimento
# 10.8 - página 269
# função lambda


# importando bibliotecas
import matplotlib.pyplot as p
from numpy import linspace as intervalo


# declaração das funções
def meu_plot(x, fx):
    p.clf()    # limpa qualquer figura anteriormente plotada
    p.plot(x, fx(x), '--or')
    p.xlabel('x')
    p.ylabel('f(x)')
    p.grid(visible=True,linewidth=0.1, linestyle='-', color='k')
    p.show()

# declaração da função labda
fx = lambda x: 3*x**2 - 2*x + 5

# dados
xs = intervalo(-10,11,100)

# Exemplo de aplicação 
meu_plot(xs,fx)


