# Problemas de Desenvolvimento
# 10.11 - página 270
# falor futuro

# importando bibliotecas
import matplotlib.pyplot as p
from numpy import sin, radians
from numpy import linspace as intervalo
# declaração das funções
def func_seno(valmin, valmax):
    # teste de troca de valores
    if valmin > valmax:
        t = valmax
        valmax = valmin
        valmin = t
    # intervalo de x
    # a função sin é calculada utilizando radianos como referência
    # por isso a necessidade de transformar os valores de graus para radiano
    x = radians(intervalo(valmin, valmax, 100))
    fseno = sin(x)
    # cálculo do seno 
    return [x, fseno]
    
# declaração das funções
def meu_plot(x, fx):
    p.clf()    # limpa qualquer figura anteriormente plotada
    p.plot(x, fx, '--.b')
    p.xlabel('x')
    p.ylabel('f(x)')
    p.grid(visible=True,linewidth=0.1, linestyle='-', color='k')
    p.show()
    
    
# exemplo de aplicação
[x,fseno] = func_seno(0, 360)
meu_plot(x, fseno)

