# Problemas de Desenvolvimento
# 10.12 - página 270
# falor futuro

# importando bibliotecas
import matplotlib.pyplot as p

# declaração das funções
def valor_futuro(P, i, n):
    Fn = []
    x = []
    # cálculo do valor futuro
    print('O capital para investimento')
    for ni in range(n+1):
        Fn.append(P*(1 + i)**ni)       # Equação prob. 10.12
        x.append(ni)
    return [x, Fn]
    
# declaração das funções
def meu_plot(x, fx):
    p.clf()    # limpa qualquer figura anteriormente plotada
    p.plot(x, fx, '--.b')
    p.xlabel('x')
    p.ylabel('f(x)')
    p.grid(visible=True,linewidth=0.1, linestyle='-', color='k')
    p.show()
    
    
# exemplo de aplicação
# declaração das variáveis - Veja o exemplo 3.4 Capítulo 3
P = 300000.0       # valor presente
n = 5              # número de anos para avaliação
i = 0.11           # taxa de juros

[x,fn] = valor_futuro(P, i, n)
meu_plot(x, fn)

