# Problemas de Desenvolvimento
# 11.6 - página 330
# estatísticas e salvamento

#importando bibliotecas
import pandas as pd
from numpy import random
import matplotlib.pyplot as p
from numpy import linspace as intervalo


# sorteio das variáveis
sort = random.random([50, 3])

# transformando os dados em pandas para realizar a estatística básica
dados = pd.DataFrame({'col1':sort[:,0], 'col2':sort[:,1], 'col3':sort[:,2]})

# a - imprimindo dados no console
msg = 'Esses são os dados gerados:\n'
print(msg, dados)

# a - você pode utiliza as próprias funções do pandas para montar a estatística
# básica requerida pelo problema
print('\nEssa é a estatística básica para a coluna 1:')
print('-média:', dados['col1'].mean())
print('-máximo:', dados['col1'].max())
print('-mínimo:', dados['col1'].min())
print('-mediana', dados['col1'].median())
#dados.to_excel('exercicio_11.6.xlsx')
'''
# em um outro arquivo você pode carregar os dados da planilha conforme
# linhas de código a seguir. Lembre-se de que o arquivo execel foi salvo
# na mesma pasta desta resposta. Caso você carregue os dados por outro 
# arquivo, terá que aplicar o caminho da pasta na qual o arquivo se encontra.

Outro detalhe, sempre que vocÊ executar  este código, os dados gerados 
podem ser diferentes uma vez que são gerados aleatoriamente a cada execução
lembre-se que são necessárias as bibliotecas panda e matplotlib
'''

# c - plotando as duas primeiras colunas
# plotando os dados
p.clf()
dados.plot(x = 'col1', y = 'col1',
           ylabel = 'f(x)',
           xlabel = 't(h)',
           kind = 'scatter')
p.show()

# d - imprimindo os 10 últimmos valores de cada coluna
msg = 'Esses são os dados gerados:\n'
outros_dados = [dados['col1'][-10:],
                dados['col2'][-10:],
                dados['col3'][-10:]]
print(msg, outros_dados)


