# Problemas de Desenvolvimento
# 11.8 - página 330
# Falsa posição

# ** primeiro abra o arquivo prob_des_11_8_pag_330_veja_me_antes.py

# importando bibliotecas
from numpy import exp

def f1(x):
    fx = 0.8*x**3 + x/((1+x**2)**0.5)   # Ex. 11.6
    return fx

def f2(x):
    fx = 2*x**3 - 5.5*exp(-x)           # Ex. 11.7
    return fx

def f3(x):
    fx = 2*x**2 - 15.0*x - 5            # Ex. 11.8
    return fx



# declaração de variáveis

xu = 1.5                   # estimativa do valor máximo de x
xe = -1.1                   # estimativa do valor mínimo de x
# observe que aqui xr = y nas equações 8.29 e 8.30
# estimativa de xr somente para o cálculo do erro
xr = (xe + xu)/2
n = 0

#f = f1
#f = f2
f = f3
#---método de regula-falsi---
while (abs(f(xr)) > 1e-9 and n < 100):
    n += 1                                 #contador

    # substituição dos limites inferior ou superior
    if (f(xr)*f(xu) > 0):
        xu = xr
    elif (f(xr)*f(xe) > 0):
        xe = xr
    else:
        print('\nfim\n')
        break
    # atualizando o valor de xr
    xr = xu -  (f(xu)*(xe - xu))/(f(xe) - f(xu))
    
# imprimindo os resultados
print('O número de iterações foi igual a %d' %n)    
msg = 'A raiz encontrada foi igual a %.2f'
print (msg %xr)
msg1 = 'O erro numérico de %.4e'
print(msg1 %(f(xr)))

