# Problemas de Desenvolvimento
# 11.9 - página 330
# Integração de equações

# usando a biblioteca do sympy
from sympy import Symbol, integrate, sqrt
'''
para aplicarmos o symbol como método de resolução precisamos usar
as funções da própria biblioteca sympy


para que o Python integre corretamente utilizando o sympy, é preciso
declarar que o valor de x é positivo e que será um valor real (não complexo)
'''

#declaração das variáveis
x = Symbol('x', real=True, positive=True)

# declaração da função
#fx = 16*x**2 + 12*x - 22                 # Ex. 11.9

#fx = sqrt(3*x**2 + x)                    # Ex. 11.10

fx = x/sqrt(1 + x**2)                    # Ex. 11.11 


# declaração da derivada
Ifx = integrate(fx, x).doit()

print('Veja a equação original:\n', fx)
print('Veja o resultado da integração:\n', Ifx)
