# Problemas de Revisão
# 12.2 - página 353
# estruturas de uso do try

'''
Os erros são divididos em erro de sintaxe e exceções

Quando lidados com erros de sintaxe, o Python muitas vezes, mostra na própria
IDE do Spider algum sinal visual indicando que a dada estrutura está incorreta
ou que a variável (escrita diferente) não foi declarada anteriormente.

No caso dos erros de exceções, temos comportamentos diversos durante a execução
do código que podem ser previstos pelo python quando utilizamos a estrutura try

Por exemplo, alguns erros comuns são listados a seguir:
    Divisão por zero - ZeroDivisionError
    Quando a variável não foi declarada - NameError
    Erros de syntaxe - SyntaxeError
    Variável de tipo diferente do esperado - TypeError
    
    Outros exemplos podem ser visualizados nO=o Quadro 12.1 da primeira edição

'''

