# Problemas de Desenvolvimento
# 12.9 - página 354
# Newton_Raphson

'''
O erro que pode acontecer é o uma divisão por zero devido à primeira
derivada da função

Tomando como referência o exemplo 7.6, podemos propor a seguinte solução
'''


# estimativa inicial de x
# x0 = 1.55 # estimativa inicial "boa"
x0 = 0.0 # estimativa inicial "errada"
# repita até que a condição seja alcançada
try:
    while (abs((x0**2)-4) > 1e-7):
        x1 = x0 - ((x0**2)-4)/(2*x0)
        x0 = x1
        
    # imprimindo o resultado
    print('O valor da raiz é %.7f' %x1)

except ZeroDivisionError:
    msg = 'O resultado da derivada resultou'
    msg+=' em um erro de divisão por zero. Reveja sua estimativa inicial.'
    print(msg)

        
