# Aplique o que aprendeu
# 13.1 - página 387
# imprimindo tabelas

# importando bibliotecas
import pandas as pd
from numpy import shape

# importando dados da Tabela 13.2
dados = pd.read_excel('tabela13.2.xlsx')

# obtendo a dimensão da matriz
[linhas, colunas] = shape(dados) # obtendo número de linhas e colunas

# criando uma linha pontilhada
pontilhado = '|'+ 8*'-'
pontilhado = 4*pontilhado + '|'

cabeca = list(dados)
# imprimindo a tabela
        # imprimindo título
print(pontilhado)
print(f'{cabeca[0]:^11s}{cabeca[1]:^8s}{cabeca[2]:^9s}{cabeca[3]:^10s}')
print(pontilhado)
for i in range(linhas):
    # imprimindo os demais itens da tabela
    msg = f'|{dados[cabeca[0]][i]:_^8.6f}|{dados[cabeca[1]][i]:_^8.6f}|'
    msg+= f'{dados[cabeca[2]][i]:_^8.6f}|{dados[cabeca[3]][i]:_^8.6f}|'
    print(msg)
