# Problemas de Desenvolvimento
# 14.03 - balanço de massa Figura Ex. 14.1

# importando bibliotecas
from numpy import matrix
from scipy import linalg

# composições das correntes
A = matrix([[0.2, 0.55, 0.24],
            [0.35, 0.23, 0.75],
            [0.45, 0.22, 0.01]])

# composição da alimentação
b = matrix([[0.40],
             [0.36],
             [0.24]])

# vazão de alimentação
F = 165.0

# calculando os valores de T, T2 e B
x = linalg.solve(A,F*b)

# impressão dos resultados
print(f'Foram encontrados T={float(x[0]):.2f},',
                             f'T2={float(x[1]):.2f} e',
                             f'B={float(x[2]):.2f} kmol/h respectivamente.')

   