# Problemas de Desenvolvimento
# 14.04 - balano de massa Figura Ex. 14.1

# importando bibliotecas
from numpy import matrix
from scipy import linalg

# composies das correntes
A = matrix([[0.15, 0.75, 0.15, 0.01],
           [0.45, 0.13, 0.65, 0.19],
           [0.35, 0.11, 0.19, 0.05],
           [0.05, 0.01, 0.00, 0.75]])

# composio da alimentao
b = matrix([[0.13],
            [0.37],
            [0.17],
            [0.33]])

# vazo de alimentao
F = 300.0

# calculando os valores de T, T2, T3 e B
x = linalg.solve(A,F*b)

# impresso dos resultados
print(f'Foram encontrados T={float(x[0]):.2f},',
                             f'T2={float(x[1]):.2f}',
                             f'T3={float(x[2]):.2f} e',
                             f'B={float(x[3]):.2f} kg/h respectivamente.')

   